org.apache.ignite.internal.processors.tracing

## Interface Tracing

All Superinterfaces:
  SpanManager

All Known Implementing Classes:
  GridTracingManager, NoopTracing

    public interface Tracing
    extends SpanManager

Tracing sub-system interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull TracingConfigurationManager` `configuration()` Returns the `TracingConfigurationManager` instance that allows to Configure tracing parameters such as sampling rate for the specific tracing coordinates such as scope and label.
`TraceableMessagesHandler` `messages()`

### Methods inherited from interface org.apache.ignite.internal.processors.tracing.SpanManager

`create, create, create, create, serialize`

### Method Detail

#### messages

    TraceableMessagesHandler messages()

Returns:
  Helper to handle traceable messages.

#### configuration

    @NotNull
    @NotNull TracingConfigurationManager configuration()

Returns the `TracingConfigurationManager` instance that allows to

- Configure tracing parameters such as sampling rate for the specific tracing coordinates such as scope and label.
- Retrieve the most specific tracing parameters for the specified tracing coordinates (scope and label)
- Restore the tracing parameters for the specified tracing coordinates to the default.
- List all pairs of tracing configuration coordinates and tracing configuration parameters.

Returns:
  `TracingConfigurationManager` instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021